﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using Telerik.Windows.Controls;
using Telerik.Windows.Documents.UI.Extensibility;

namespace SilverlightApplication1
{
    [CustomSelectionMiniToolBar]
    public partial class CopyToolBar : UserControl, ISelectionMiniToolBar
    {
        private Popup popup;

        public CopyToolBar()
        {
            InitializeComponent();

            this.popup = new Popup();
            this.popup.Child = this;
        }

        #region ISelectionMiniToolBar Members

        public new double Height
        {
            get { return 48; }
        }

        public new double Width
        {
            get { return 48; }
        }

        public void Hide()
        {
            this.popup.IsOpen = false;
        }

        public void SetOpacity(double opacity)
        {
            // this will remove fading (the default implementation is this.Opacity = opacity;)
            this.Opacity = 1;
        }

        public void Show(Point location, RadRichTextBox radRichTextBox)
        {
            this.DataContext = radRichTextBox.Commands;

            this.popup.HorizontalOffset = location.X;
            this.popup.VerticalOffset = location.Y;

            this.popup.IsOpen = true;
        }

        #endregion
    }
}
